#include <stdlib.h>

#include "nadawca.h"

/*
 * odczytanie zawartosci wiadomosci i wyslanie do serwera
 */

void event_service_prog_1(char *host, char msg) {
	CLIENT *clnt;
	wiad_a  wyslij_a_1_arg;
	wiad_b  wyslij_b_1_arg;
	wiad_c  wyslij_c_1_arg;

	clnt = clnt_create(host, EVENT_SERVICE_PROG, EVENT_SERVICE_VERS, "udp");
	if (clnt == (CLIENT *) NULL) {
		clnt_pcreateerror(host);
		exit(EXIT_FAILURE);
	}
	
	switch (msg) {
		case 'A':
			scanf("%d %d", &wyslij_a_1_arg.liczba1, &wyslij_a_1_arg.liczba2);
			wyslij_a_1(&wyslij_a_1_arg, clnt);
			break;
		case 'B':
			scanf("%c %c", &wyslij_b_1_arg.znak1, &wyslij_b_1_arg.znak2);
			wyslij_b_1(&wyslij_b_1_arg, clnt);
			break;
		case 'C':
			scanf("%d %d %c %c", &wyslij_c_1_arg.wiada.liczba1, &wyslij_c_1_arg.wiada.liczba2, &wyslij_c_1_arg.wiadb.znak1, &wyslij_c_1_arg.wiadb.znak2);
			wyslij_c_1(&wyslij_c_1_arg, clnt);
	}
	
	clnt_destroy (clnt);
}

/*
 * funckja glowna
 */

int main (int argc, char *argv[]) {
	if (argc < 3) {
		printf ("usage: %s server_host msg_type\n", argv[0]);
		return EXIT_FAILURE;
	}
	
	if (argv[2][0]<'A' || argv[2][0]>'C') {
		printf ("unrecognized message type\n");
		return EXIT_FAILURE;
	}
	
	event_service_prog_1(argv[1], argv[2][0]);
	return EXIT_SUCCESS;
}
