#include <rpc/rpc.h>

struct call_info {
	char hostname[256];
	int prognum;
	int versnum;
	int procnum;
};
typedef struct call_info call_info;

struct wiad_a {
	int liczba1;
	int liczba2;
};
typedef struct wiad_a wiad_a;

struct wiad_b {
	char znak1;
	char znak2;
};
typedef struct wiad_b wiad_b;

struct wiad_c {
	struct wiad_a wiada;
	struct wiad_b wiadb;
};
typedef struct wiad_c wiad_c;

#define EVENT_SERVICE_PROG 0x21212121
#define EVENT_SERVICE_VERS 1

#define zarejestruj 4
#define callback_a 5
#define callback_b 6
#define callback_c 7

extern  bool_t xdr_wiad_a (XDR *, wiad_a*);
extern  bool_t xdr_wiad_b (XDR *, wiad_b*);
extern  bool_t xdr_wiad_c (XDR *, wiad_c*);
