/**
 * Copyright (c) 2001/2003 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 *
 * @author radzisz
 * file name: NoteBoardListener.java
 *
 */
package edu.agh.sr.madej;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Zdalny interfejs klienta.
 */
public interface NoteBoardListener extends Remote {

	/**
	 * Metoda powiadamiajaca klienta o dopisaniu nowego tekstu.
	 *
	 * @param text tekst
	 */
	public void onNewText(String text) throws RemoteException;
}
