/**
 * Copyright (c) 2001/2003 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 *
 * @author radzisz
 * file name: UserRejectedException.java
 *
 */
package edu.agh.sr.madej;

/**
 * Wyjatek wystepujacy przez podaniu przez klienta niewlasciwego identyfikatora.
 */
public class UserRejectedException extends Exception {

	/**
	 * Konstruktor bezargumentowy.
	 */
	public UserRejectedException() {
		super();
	}
	
	/**
	 * Konstruktor.
	 *
	 * @param message komunikat towarzoyszacy wyjatkowi
	 */
	public UserRejectedException(String message) {
		super(message);
	}

	/**
	 * Konstruktor.
	 *
	 * @param message komunikat towarzoyszacy wyjatkowi
	 * @param cause przyczyna wystapienia wyjatku
	 */
	public UserRejectedException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Konstruktor.
	 *
	 * @param cause przyczyna wystapienia wyjatku
	 */
	public UserRejectedException(Throwable cause) {
		super(cause);
	}
}
