#include "odbiorca.h"

/*
 * funkcja zajmujaca sie marshallingiem wiadomosci przekazywanej do serwera, wygenerowana przez rpcgen'a
 */

bool_t xdr_call_info(register XDR *xdrs, call_info *objp) {

#if defined(_LP64) || defined(_KERNEL)
	register int *buf;
#else
	register long *buf;
#endif

	int i;
	if (!xdr_vector(xdrs, (char *)objp->hostname, 256,
		sizeof (char), (xdrproc_t) xdr_char))
		return (FALSE);
	if (!xdr_int(xdrs, &objp->prognum))
		return (FALSE);
	if (!xdr_int(xdrs, &objp->versnum))
		return (FALSE);
	if (!xdr_int(xdrs, &objp->procnum))
		return (FALSE);
	return (TRUE);
}

/*
 * funkcja zajmujaca sie marshallingiem pierwszego typu wiadomosci, wygenerowana przez rpcgen'a
 */

bool_t xdr_wiad_a(register XDR *xdrs, wiad_a *objp) {

#if defined(_LP64) || defined(_KERNEL)
	register int *buf;
#else
	register long *buf;
#endif

	if (!xdr_int(xdrs, &objp->liczba1))
		return (FALSE);
	if (!xdr_int(xdrs, &objp->liczba2))
		return (FALSE);
	return (TRUE);
}

/*
 * funkcja zajmujaca sie marshallingiem drugiego typu wiadomosci, wygenerowana przez rpcgen'a
 */

bool_t xdr_wiad_b(register XDR *xdrs, wiad_b *objp) {

#if defined(_LP64) || defined(_KERNEL)
	register int *buf;
#else
	register long *buf;
#endif

	if (!xdr_char(xdrs, &objp->znak1))
		return (FALSE);
	if (!xdr_char(xdrs, &objp->znak2))
		return (FALSE);
	return (TRUE);
}

/*
 * funkcja zajmujaca sie marshallingiem trzeciego typu wiadomosci, wygenerowana przez rpcgen'a
 */

bool_t xdr_wiad_c(register XDR *xdrs, wiad_c *objp) {

#if defined(_LP64) || defined(_KERNEL)
	register int *buf;
#else
	register long *buf;
#endif

	if (!xdr_wiad_a(xdrs, &objp->wiada))
		return (FALSE);
	if (!xdr_wiad_b(xdrs, &objp->wiadb))
		return (FALSE);
	return (TRUE);
}
