#include <rpc/rpc.h>

/*
 * funkcja pozyskujaca i rejestrujaca w portmaperze pierwszy nieuzywany na danej maszynie numer programu
 */

unsigned int svc_register_transient(SVCXPRT *transp, unsigned int version, void (*dispatch)(), unsigned int protocol) {
	unsigned int prognum = 0x40000000;

	while (pmap_set(prognum, version, protocol, transp->xp_port) == 0 && prognum < 0x50000000)
		prognum++;

	if (prognum < 0x50000000) {
		if (svc_register(transp, prognum, version, dispatch, 0) == FALSE) { 
			svc_unregister(prognum, version); 
			return 0; 
		} 
	} else { 
		prognum = 0x40000000; 
		return 0;
    	} 
	
	return prognum; 
}
