/**
 * Copyright (c) 2001/2003 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 *
 * @author radzisz
 * file name: NoteBoardImpl.java
 *
 */
package edu.agh.sr.madej;

/**
 * Klasa reprezentujaca zdalna tablice.
 */
public class NoteBoardImpl implements NoteBoard {
	private StringBuffer board = new StringBuffer();
	
	/**
 	 * Dodaje linijke tekstu do tablicy.
 	 *
 	 * @param text tekst
 	 */
	public void appendText(String text) {
		board.append("\n").append(text);
	}

	/**
 	 * Czysci tablice.
 	 */
	public void clean() {
		board = new StringBuffer();
	}

	/**
 	 * Zwraca zawartosc tablicy.
 	 */
	public String getText(){
		return board.toString();
	}
}
