/**
 * Copyright (c) 2001/2003 Distributed Systems Research Group.
 * All rights reserved.
 *
 * For more information on Distributed Systems Research Group (DSRG),
 * please see <http://www.ics.agh.edu.pl/>.
 *
 * @author radzisz
 * file name: User.java
 *
 */
package edu.agh.sr.madej;

/**
 * Interfejs klasy opisujacej klientow.
 */
public interface User {

	/**
	 * Zwraca nazwisko skojarzone z danym klientem.
	 */
	public String getLastName();

	/**
	 * Zwraca imie skojarzone z danym klientem.
	 */
	public String getName();

	/**
	 * Zwraca nick skojarzony z danym klientem.
	 */
	public String getNick();
}
